Subject: Re: [PATCH v2 2/6] powerpc/smp: Enable Asym packing for cores on shared processor

From: Srikar Dronamraju <[email-masked]>
Date: Fri, 20 Oct 2023 11:14:45 +0530

* Shrikanth Hegde <[email-masked]> [2023-10-19 21:26:56]:

> 
> 
> On 10/18/23 10:07 PM, Srikar Dronamraju wrote:
> > If there are shared processor LPARs, underlying Hypervisor can have more
> > virtual cores to handle than actual physical cores.
> > 
> > Starting with Power 9, a core has 2 nearly independent thread groups.
> > On a shared processors LPARs, it helps to pack threads to lesser number
> > of cores so that the overall system performance and utilization
> > improves. PowerVM schedules at a core level. Hence packing to fewer
> > cores helps.
> > 
> > For example: Lets says there are two 8-core Shared LPARs that are
> > actually sharing a 8 Core shared physical pool, each running 8 threads
> > each. Then Consolidating 8 threads to 4 cores on each LPAR would help
> > them to perform better. This is because each of the LPAR will get
> > 100% time to run applications and there will no switching required by
> > the Hypervisor.
> > 
> > To achieve this, enable SD_ASYM_PACKING flag at CACHE, MC and DIE level.
> 
> This would have a conflict with tip/master. 
> DIE has been renamed to PKG and Both changelog and code below should 
> change DIE to PKG. 

Once the changes are part of powerpc/merge, will rebase and accomodate the
changes from DIE to PKG.

-- 
Thanks and Regards
Srikar Dronamraju